<template>
  <div>
    <PageNav v-if="!$route.params.id">
      <ul class="size-larger">
        <li>
          <!-- <el-badge size="large" is-dot> -->
          <nuxt-link :to="localePath('/profile/photography')">
            Events
          </nuxt-link>
          <!-- </el-badge> -->
        </li>
        <li>
          <nuxt-link :to="localePath('/profile/photography/albums')"
            >Albums</nuxt-link
          >
        </li>
        <li>
          <nuxt-link :to="localePath('/profile/photography/feed')"
            >Feed</nuxt-link
          >
        </li>
      </ul>
    </PageNav>
    <template v-else>
      <div class="hide-mobile">
        <BackButton @click="$router.go(-1)">{{
          $t('buttons.back')
        }}</BackButton>
      </div>
    </template>
    <transition name="page-slide">
      <nuxt-child />
    </transition>
  </div>
</template>

<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import elBadge from '@/components/element/Badge.vue'
import PageNav from '@/components/ui/Pagenav.vue'
import BackButton from '@/components/ui/BackButton.vue'

export default defineComponent({
  name: 'PhotographyPage',
  components: { PageNav, elBadge, BackButton }
})
</script>

<style lang="scss" scoped></style>
